Game1.Preload = function(game){};
Game1.Preload.prototype = {
	preload: function() { 
		var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
		this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
		this.preloadBar.anchor.setTo(0.5);
		this.load.setPreloadSprite(this.preloadBar);
		this.load.image('bg', 'img/OS_main_background.jpg');
		this.load.image('bg_ingame', 'img/bg.jpg');  
		this.load.image('sponsors', 'img/sponsorzy.png');  
		this.load.image('title', 'img/OS_main_tytul.png');
		this.load.image('pomocnik', 'img/OS_main_przewodnik.png');
		this.load.spritesheet('play_button', 'img/OS_main_button_play.png',200,200,3); 
		this.load.spritesheet('help', 'img/OS_puzzle_button_info.png', 108,108);  
		this.load.image('guiPomocnik', 'img/OS_puzzle_przewodnik.png');
		this.load.image('Finish', 'img/MW_koniec.png');   
		this.load.image('1', 'img/1.png', 253,358);
		this.load.image('2', 'img/2.png', 408,357);
		this.load.image('3', 'img/3.png', 351,296);
		this.load.image('4', 'img/4.png', 253,368);
		this.load.image('5', 'img/5.png', 250,352);
		this.load.image('6', 'img/6.png', 402,282);
		this.load.image('7', 'img/7.png', 279,342);
		this.load.image('8', 'img/8.png', 315,332);
		this.load.image('9', 'img/9.png', 313,289);
		this.load.image('10', 'img/10.png', 261,351);
		this.load.image('11', 'img/11.png', 337,374);
		this.load.image('12', 'img/12.png', 321,302);
		this.load.spritesheet('button', 'img/button.png',133,133);   
		this.load.image('calc_0', 'img/OS_puzzle_calc_1.png');
		this.load.image('calc_1', 'img/OS_puzzle_calc_2.png');
		this.load.image('calc_2', 'img/OS_puzzle_calc_3.png');
		this.load.image('calc_3', 'img/OS_puzzle_calc_4.png');
		this.load.image('calc_4', 'img/OS_puzzle_calc_5.png');
		this.load.image('calc_5', 'img/OS_puzzle_calc_6.png');
		this.load.image('calc_6', 'img/OS_puzzle_calc_7.png');
		this.load.image('calc_7', 'img/OS_puzzle_calc_8.png');
		this.load.image('calc_8', 'img/OS_puzzle_calc_9.png');
		this.load.image('calc_9', 'img/OS_puzzle_calc_0.png');
		this.load.image('calc_10', 'img/OS_puzzle_calc_C.png');
		this.load.image('calc_11', 'img/OS_puzzle_calc_ok.png');
		this.load.image('calc_bg', 'img/OS_puzzle_calc.png'); 
		this.load.bitmapFont('font_0', 'font/font_0_0.png',null,xmlplain);  
	},    
	create: function() {
		this.state.start('Menu');
	},
};